com.holonplatform.vaadin.data

## Interface DatastoreDataProvider

- All Superinterfaces:
    com.vaadin.data.provider.DataProvider<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.query.QueryFilter>, Serializable

      public interface DatastoreDataProvider
      extends com.vaadin.data.provider.DataProvider<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.query.QueryFilter>

  A `DataProvider` backed by a `Datastore`.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DatastoreDataProvider.Builder` Builder to create `DatastoreDataProvider` instances.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.shared.Registration` | `addQueryConfigurationProvider(com.holonplatform.core.query.QueryConfigurationProvider queryConfigurationProvider)` Add a `QueryConfigurationProvider` to provide additional query parameters, such as `QueryFilter`s and `QuerySort`s.
    `static DatastoreDataProvider.Builder` | `builder()` Get a builder to create `DatastoreDataProvider` instances.
    `static DatastoreDataProvider` | `create(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.PropertySet<?> propertySet)` Create a `DatastoreDataProvider`.
    `static DatastoreDataProvider` | `create(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.PropertySet<?> propertySet, ItemIdentifierProvider<com.holonplatform.core.property.PropertyBox,Object> itemIdentifier)` Create a `DatastoreDataProvider`.
    `static DatastoreDataProvider` | `create(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.PropertySet<?> propertySet, com.holonplatform.core.property.Property<?>... identifierProperties)` Create a `DatastoreDataProvider`.

    - ### Methods inherited from interface com.vaadin.data.provider.DataProvider

      `addDataProviderListener, fetch, fromCallbacks, fromFilteringCallbacks, fromStream, getId, isInMemory, ofCollection, ofItems, refreshAll, refreshItem, size, withConfigurableFilter, withConfigurableFilter, withConvertedFilter`

- - ### Method Detail

    - #### addQueryConfigurationProvider

          com.vaadin.shared.Registration addQueryConfigurationProvider(com.holonplatform.core.query.QueryConfigurationProvider queryConfigurationProvider)

      Add a `QueryConfigurationProvider` to provide additional query parameters, such as `QueryFilter`s and `QuerySort`s.
      Parameters:
        `queryConfigurationProvider` - The provider to add (not null)
      Returns:
        the provider `Registration`.

    - #### create

          static DatastoreDataProvider create(com.holonplatform.core.datastore.Datastore datastore,
                                              com.holonplatform.core.datastore.DataTarget<?> target,
                                              com.holonplatform.core.property.PropertySet<?> propertySet)

      Create a `DatastoreDataProvider`.
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The query target (not null)
        `propertySet` - The query projection property set (not null)
      Returns:
        A new `DatastoreDataProvider` instance

    - #### create

          static DatastoreDataProvider create(com.holonplatform.core.datastore.Datastore datastore,
                                              com.holonplatform.core.datastore.DataTarget<?> target,
                                              com.holonplatform.core.property.PropertySet<?> propertySet,
                                              com.holonplatform.core.property.Property<?>... identifierProperties)

      Create a `DatastoreDataProvider`.
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The query target (not null)
        `propertySet` - The query projection property set (not null)
        `identifierProperties` - The properties which act as item identifier(s)
      Returns:
        A new `DatastoreDataProvider` instance

    - #### create

          static DatastoreDataProvider create(com.holonplatform.core.datastore.Datastore datastore,
                                              com.holonplatform.core.datastore.DataTarget<?> target,
                                              com.holonplatform.core.property.PropertySet<?> propertySet,
                                              ItemIdentifierProvider<com.holonplatform.core.property.PropertyBox,Object> itemIdentifier)

      Create a `DatastoreDataProvider`.
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The query target (not null)
        `propertySet` - The query projection property set (not null)
        `itemIdentifier` - Item identifier provider
      Returns:
        A new `DatastoreDataProvider` instance

    - #### builder

          static DatastoreDataProvider.Builder builder()

      Get a builder to create `DatastoreDataProvider` instances.
      Returns:
        DatastoreDataProvider builder

Copyright © 2017 The Holon Platform. All rights reserved.